---
id: "SimpleCalendar.NoteCategory"
title: "Interface: NoteCategory"
sidebar_label: "NoteCategory"
custom_edit_url: null
pagination_next: null
pagination_prev: null
---

[SimpleCalendar](../namespaces/SimpleCalendar.md).NoteCategory

Interface for all information about note categories

## Hierarchy

- `IDataItemBase`

  ↳ **`NoteCategory`**

## Properties

### color

• **color**: `string`

The background color assigned to the note category.

___

### id

• **id**: `string`

The unique ID of the data item

#### Inherited from

IDataItemBase.id

___

### name

• **name**: `string`

The name of the note category.

#### Overrides

IDataItemBase.name

___

### numericRepresentation

• `Optional` **numericRepresentation**: `number`

The optional numeric representation of the data item

#### Inherited from

IDataItemBase.numericRepresentation

___

### textColor

• **textColor**: `string`

The color of the text assigned to the note category.
